'\" t
.\"     Title: chgpasswd
.\"    Author: Thomas K\(/loczko <kloczek@pld.org.pl>
.\" Generator: DocBook XSL Stylesheets vsnapshot <http://docbook.sf.net/>
.\"      Date: 2022-08-22
.\"    Manual: 系统管理命令
.\"    Source: shadow-utils 4.12.3
.\"  Language: Chinese Simplified
.\"
.TH "CHGPASSWD" "8" "2022-08-22" "shadow\-utils 4\&.12\&.3" "系统管理命令"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "名称"
chgpasswd \- 批量更新组密码
.SH "大纲"
.HP \w'\fBchgpasswd\fR\ 'u
\fBchgpasswd\fR [\fI选项\fR]
.SH "描述"
.PP
The
\fBchgpasswd\fR
command reads a list of group name and password pairs from standard input and uses this information to update a set of existing groups\&. Each line is of the format:
.PP
\fIgroup_name\fR:\fIpassword\fR
.PP
By default the supplied password must be in clear\-text, and is encrypted by
\fBchgpasswd\fR\&.
.PP
The default encryption algorithm can be defined for the system with the
\fBENCRYPT_METHOD\fR
variable of
/etc/login\&.defs, and can be overwritten with the
\fB\-e\fR,
\fB\-m\fR, or
\fB\-c\fR
options\&.
.PP
此命令一般用于需要一次创建很多用户的大型系统。
.SH "选项"
.PP
The options which apply to the
\fBchgpasswd\fR
command are:
.PP
\fB\-c\fR, \fB\-\-crypt\-method\fR
.RS 4
使用指定的方法加密密码。
.sp
可用的方法有 DES, MD5, NONE, and SHA256 或 SHA512，前提是您的 libc 支持这写方法。
.RE
.PP
\fB\-e\fR, \fB\-\-encrypted\fR
.RS 4
提供的密码是已经加密了的
.RE
.PP
\fB\-h\fR, \fB\-\-help\fR
.RS 4
显示帮助信息并退出。
.RE
.PP
\fB\-m\fR, \fB\-\-md5\fR
.RS 4
如果提供的密码没有加密，则使用 MD5 加密而不是 DES。
.RE
.PP
\fB\-R\fR, \fB\-\-root\fR\ \&\fICHROOT_DIR\fR
.RS 4
Apply changes in the
\fICHROOT_DIR\fR
directory and use the configuration files from the
\fICHROOT_DIR\fR
directory\&. Only absolute paths are supported\&.
.RE
.PP
\fB\-s\fR, \fB\-\-sha\-rounds\fR
.RS 4
使用指定次数的轮转来加密密码。
.sp
值 0 表示让系统为加密方法选择默认的轮转次数 (5000)。
.sp
会强制最小 1,000，最大 9,9999,9999
.sp
您只可以对 SHA256 或 SHA512 使用此选项。
.sp
By default, the number of rounds is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in
/etc/login\&.defs\&.
.RE
.SH "CAVEATS"
.PP
记住要设置权限或者掩码来阻止其它用户对未加密文件的读取。
.PP
您需要确保你吗和加密方法符合系统的密码策略。
.SH "配置文件"
.PP
The following configuration variables in
/etc/login\&.defs
change the behavior of this tool:
.SH "文件"
.PP
/etc/group
.RS 4
组账户信息。
.RE
.PP
/etc/gshadow
.RS 4
安全组账户信息。
.RE
.PP
/etc/login\&.defs
.RS 4
Shadow 密码套件配置。
.RE
.SH "参见"
.PP
\fBgpasswd\fR(1),
\fBgroupadd\fR(8),
\fBlogin.defs\fR(5)\&.
